Subject: Bug#216768: apt: Confirmed under Lenny with several sources and pinning

From: Ivan Vilata i Balaguer <[email-masked]>
Date: Mon, 02 Nov 2009 09:56:48 +0000

Package: apt
Version: 0.7.20.2+lenny1
Followup-For: Bug #216768

My APT setup includes sources from Lenny (stable) and Squeeze (testing), pinned so that only 
certain packages get pulled from testing.  I have ``apticron`` installed and since I made the 
mixed setup with pinning, it reports that ``dash`` and ``diffutils`` are pending an upgrade, 
when neither of them are installed.  It happens that both packages are essential in Squeeze, 
but not in Lenny.  If I install the Lenny version of ``dash`` and try to remove it with 
Aptitude, it insists in the installed package being essential, which is untrue.

Forcing the removal of ``dash`` and ``diffutils`` reverts the system to the same state (i.e. 
``apticron`` recommending the upgrade of the uninstalled packages).

-- Package-specific info:

-- apt-config dump --

APT "";
APT::Architecture "i386";
APT::Build-Essential "";
APT::Build-Essential:: "build-essential";
APT::Install-Recommends "1";
APT::Install-Suggests "0";
APT::Acquire "";
APT::Acquire::Translation "environment";
APT::NeverAutoRemove "";
APT::NeverAutoRemove:: "^linux-image.*";
APT::NeverAutoRemove:: "^linux-restricted-modules.*";
APT::Default-Release "stable";
Dir "/";
Dir::State "var/lib/apt/";
Dir::State::lists "lists/";
Dir::State::cdroms "cdroms.list";
Dir::State::userstatus "status.user";
Dir::State::status "/var/lib/dpkg/status";
Dir::Cache "var/cache/apt/";
Dir::Cache::archives "archives/";
Dir::Cache::srcpkgcache "srcpkgcache.bin";
Dir::Cache::pkgcache "pkgcache.bin";
Dir::Etc "etc/apt/";
Dir::Etc::sourcelist "sources.list";
Dir::Etc::sourceparts "sources.list.d";
Dir::Etc::vendorlist "vendors.list";
Dir::Etc::vendorparts "vendors.list.d";
Dir::Etc::main "apt.conf";
Dir::Etc::parts "apt.conf.d";
Dir::Etc::preferences "preferences";
Dir::Bin "";
Dir::Bin::methods "/usr/lib/apt/methods";
Dir::Bin::dpkg "/usr/bin/dpkg";
Dir::Log "var/log/apt";
Dir::Log::Terminal "term.log";
DPkg "";
DPkg::Pre-Install-Pkgs "";
DPkg::Pre-Install-Pkgs:: "/usr/bin/apt-listchanges --apt || test $? -ne 10";
DPkg::Pre-Install-Pkgs:: "/usr/sbin/dpkg-preconfigure --apt || true";
DPkg::Tools "";
DPkg::Tools::Options "";
DPkg::Tools::Options::/usr/bin/apt-listchanges "";
DPkg::Tools::Options::/usr/bin/apt-listchanges::Version "2";

-- /etc/apt/preferences --

Package: *
Pin: release a=lenny-backports
Pin-Priority: 200

Package: drupal6
Pin: release a=lenny-backports
Pin-Priority: 999

Package: *
Pin: release a=testing
Pin-Priority: 190

Package: prosody
Pin: release a=testing
Pin-Priority: 999

Package: liblua5.1-sec0
Pin: release a=testing
Pin-Priority: 999

-- /etc/apt/sources.list --

deb http://ftp.us.debian.org/debian lenny main
deb-src http://ftp.us.debian.org/debian lenny main

deb http://security.debian.org/ lenny/updates main
deb-src http://security.debian.org/ lenny/updates main

## <XNX by="ivan" date="2009-10-30">
deb http://www.backports.org/debian lenny-backports main
deb http://ftp.us.debian.org/debian testing main
## </XNX>

-- System Information:
Debian Release: 5.0.3
  APT prefers stable
  APT policy: (990, 'stable'), (190, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.18.8-linode16 (SMP w/4 CPU cores)
Locale: LANG=ca_ES.UTF-8, LC_CTYPE=ca_ES.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages apt depends on:
ii  debian-archive-keyring       2009.01.31  GnuPG archive keys of the Debian a
ii  libc6                        2.7-18      GNU C Library: Shared libraries
ii  libgcc1                      1:4.3.2-1.1 GCC support library
ii  libstdc++6                   4.3.2-1.1   The GNU Standard C++ Library v3

apt recommends no packages.

Versions of packages apt suggests:
pn  apt-doc               <none>             (no description available)
ii  aptitude              0.4.11.11-1~lenny1 terminal-based package manager
pn  bzip2                 <none>             (no description available)
pn  dpkg-dev              <none>             (no description available)
ii  lzma                  4.43-14            Compression method of 7z format in
ii  python-apt            0.7.7.1+nmu1       Python interface to libapt-pkg

-- no debconf information